- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ce_netstream_aging – Manages timeout mode of NetStream on HUAWEI CloudEngine switches

New in version 2.4.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manages timeout mode of NetStream on HUAWEI CloudEngine switches.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
manual_slot - |  | Specifies the slot number of netstream manual timeout.
state - | Choices: present ← absent | Specify desired state of the resource.
timeout_interval - | Default: 30 | Netstream timeout interval. If is active type the interval is 1-60. If is inactive ,the interval is 5-600.
timeout_type - | Choices: active inactive tcp-session manual | Netstream timeout type.
type - | Choices: ip vxlan | Specifies the packet type of netstream timeout active interval.

## Notes

Note

- Recommended connection is `network_cli`.
- This module also works with `local` connections for legacy playbooks.

## Examples

    - name: netstream aging module test
      hosts: cloudengine
      connection: local
      gather_facts: no
      vars:
        cli:
          host: "{{ inventory_hostname }}"
          port: "{{ ansible_ssh_port }}"
          username: "{{ username }}"
          password: "{{ password }}"
          transport: cli

      tasks:

      - name: Configure netstream ip timeout active interval , the interval is 40 minutes.
        ce_netstream_aging:
          timeout_interval: 40
          type: ip
          timeout_type: active
          state: present
          provider: "{{ cli }}"

      - name: Configure netstream vxlan timeout active interval , the interval is 40 minutes.
        ce_netstream_aging:
          timeout_interval: 40
          type: vxlan
          timeout_type: active
          active_state: present
          provider: "{{ cli }}"

      - name: Delete netstream ip timeout active interval , set the ip timeout interval to 30 minutes.
        ce_netstream_aging:
          type: ip
          timeout_type: active
          state: absent
          provider: "{{ cli }}"

      - name: Delete netstream vxlan timeout active interval , set the vxlan timeout interval to 30 minutes.
        ce_netstream_aging:
          type: vxlan
          timeout_type: active
          state: absent
          provider: "{{ cli }}"

      - name: Enable netstream ip tcp session timeout.
        ce_netstream_aging:
          type: ip
          timeout_type: tcp-session
          state: present
          provider: "{{ cli }}"

      - name: Enable netstream vxlan tcp session timeout.
        ce_netstream_aging:
          type: vxlan
          timeout_type: tcp-session
          state: present
          provider: "{{ cli }}"

      - name: Disable netstream ip tcp session timeout.
        ce_netstream_aging:
          type: ip
          timeout_type: tcp-session
          state: absent
          provider: "{{ cli }}"

      - name: Disable netstream vxlan tcp session timeout.
        ce_netstream_aging:
          type: vxlan
          timeout_type: tcp-session
          state: absent
          provider: "{{ cli }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | check to see if a change was made on the device Sample: True
end_state dictionary | verbose mode | k/v pairs of configuration after module execution Sample: {'active_timeout': [{'ip': 30, 'vxlan': 30}], 'inactive_timeout': [{'ip': 30, 'vxlan': 30}], 'tcp_timeout': [{'ip': 'disable', 'vxlan': 'disable'}]}
existing dictionary | verbose mode | k/v pairs of existing configuration Sample: {'active_timeout': [{'ip': '40', 'vxlan': 30}], 'inactive_timeout': [{'ip': 30, 'vxlan': 30}], 'tcp_timeout': [{'ip': 'disable', 'vxlan': 'disable'}]}
proposed dictionary | verbose mode | k/v pairs of parameters passed into module Sample: {'timeout_interval': '40', 'type': 'ip', 'state': 'absent', 'timeout_type': 'active'}
updates list | always | commands sent to the device Sample: ['undo netstream timeout ip active 40']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- YangYang (@QijunPan)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.